<?php



namespace WpieApp\Extensions\Export\Polylang\Controller\Items\Base\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\DataCenters\Base as DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Polylang {

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return "";
                }

                if ( 'polylang_lang' === $element ) {
                        return static::getLanguage();
                }

                if ( 'language' === $element ) {
                        return static::getLanguageLabel();
                }

                return static::getTranslations();
        }

        
        public static function getLanguageLabel() {
                return '';
        }

        
        public static function getLanguage() {
                return '';
        }

        
        public static function getTranslations() {
                return '';
        }
}
