<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Category;

use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Category\DataCenters\Image;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\DataCenter as TaxonomyDataCenter;

defined( 'WPIE__FILE__' ) || exit;


class DataCenter extends TaxonomyDataCenter {

        
        protected static function processData() {


                $type = self::getFieldOption( "type" );

                $data = "";

                switch ( $type ) {

                        case 'image':
                                $data = Image::getField();
                                break;                       
                        default :
                                $data = parent::processData();
                                break;
                }

                
                return \apply_filters( 'Wpie/Export/WooCommerce/Product/Category/Data', $data, $type );
        }

}
