<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\Fields;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\Fields\Taxonomy as PostTaxonomy;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Taxonomy extends PostTaxonomy implements InterfaceField {

        
        protected static function getExcludesTaxonomy( $type = "" ) {

                $excludes = array_merge( [ 'product_type', 'product_visibility', 'product_shipping_class' ], parent::getExcludesTaxonomy( $type ) );

                
                $excludes = apply_filters( 'Wpie/Export/Product/Fields/Taxonomy/Excludes', $excludes, $type );

                return Helper::isNonEmptyArray( $excludes ) ? array_unique( $excludes ) : [];
        }

}
