<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class AcfFields extends Choice {

        
        protected static $fieldTypes = [ 'acfe_block_types', 'acfe_field_groups', 'acfe_field_types', 'acfe_fields', 'acfe_forms', 'acfe_options_pages', 'acfe_templates' ];

        
        public static function getData() {

                $fieldType = isset( static::$field[ 'field_type' ] ) ? static::$field[ 'field_type' ] : '';

                switch ( $fieldType ) {

                        case 'select':
                                static::$data = static::getSelect();
                                break;

                        case 'radio':
                                static::$data = static::getChoice();
                                break;

                        default:
                                static::$data = static::getChoices();
                                break;
                }

                return parent::getData();
        }
        
         
        public static function findData( $data = [] ) {
                return $data;
        }
}
