<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Facebook;

defined( 'WPIE__FILE__' ) || exit;


class Description {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Description', 'wp-import-export' ),
                        "desc"          => __( 'Facebook Description', 'wp-import-export' ),
                        "order"         => 20,
                        "isRecommended" => true,
                        "fields"        => [
                                "description" => [
                                        "order"      => 5,
                                        "label"      => __( 'Facebook Description', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "description" => [
                                                        "description" => __( "SEO Facebook Description", 'wp-import-export' ),
                                                        "name"        => "fields/allinoneseo/facebook/description/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Recommended', 'wp-import-export' ) ]
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
