<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter;

defined( 'WPIE__FILE__' ) || exit;


class Image {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Image', 'wp-import-export' ),
                        "desc"   => __( 'Twitter Image', 'wp-import-export' ),
                        "order"  => 15,
                        "fields" => [
                                "image" => [
                                        "order"      => 5,
                                        "label"      => __( 'Twitter Image', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "image" => [
                                                        "description" => __( "SEO Twitter Image", 'wp-import-export' ),
                                                        "name"        => "fields/rankmathseo/twitter/image/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'add image url start with http://', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'example: http://www.example.com/gallery/product.jpg', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
