<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\ContentType;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\ContentType\Base;

defined( 'WPIE__FILE__' ) || exit;


class Review Extends Base {

        
        protected static $category = 'wc';

        
        protected static $filePrefix = 'product-review';

        
        protected static $contentType = 'product_reviews';

        
        protected static $fields = [ 'rating', 'type' ];

        
        public static function processData() {

                if ( isset( parent::$data[ 'type' ] ) && 'review' === parent::$data[ 'type' ] ) {
                        return true;
                }
                if ( isset( parent::$data[ 'rating' ] ) ) {
                        return true;
                }

                return false;
        }

}
