<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\Standard;

defined( 'WPIE__FILE__' ) || exit;


class Description {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Description', 'wp-import-export' ),
                        "desc"   => __( 'Coupon Description', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "description" => [
                                        "order"      => 10,
                                        "label"      => __( 'Coupon Description', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "description" => [
                                                        "description" => __( "Coupon Description", 'wp-import-export' ),
                                                        "name"        => "fields/standard/excerpt/data",
                                                        "type"        => "textarea",
                                                        "hint"        => __( 'Optional', 'wp-import-export' ),
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
