<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageRestriction;

defined( 'WPIE__FILE__' ) || exit;


class AllowedEmails {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Allowed emails', 'wp-import-export' ),
                        "desc"   => __( 'Allowed emails', 'wp-import-export' ),
                        "order"  => 90,
                        "fields" => [
                                "customer_email" => [
                                        "order"      => 10,
                                        "label"      => __( 'Allowed emails', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "customer_email" => [
                                                        "description" => __( "Set email restrictions.", 'wp-import-export' ),
                                                        "name"        => "fields/restriction/customer_email/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'multiple emails are separated by comma', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
