<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Shipping;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class State {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'State / County', 'wp-import-export' ),
                        "desc"   => __( 'State / County', 'wp-import-export' ),
                        "order"  => 90,
                        "fields" => [
                                "state" => [
                                        "order"      => 10,
                                        "label"      => __( 'State / County', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "state" => [
                                                        "description" => __( 'State / County or state code', 'wp-import-export' ),
                                                        "name"        => "fields/shipping/state/data",
                                                        "type"        => "textarea",
                                                ]
                                        ]
                                ]
                        ]
                ];
        }

}
