<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Coupon;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Code {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Code', 'wp-import-export' ),
                        "desc"          => __( 'Code', 'wp-import-export' ),
                        "order"         => 10,
                        "isRecommended" => true,
                        "isActive"      => true,
                        "fields"        => [
                                "code" => [
                                        "order"      => 5,
                                        "label"      => __( 'Code', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "code"      => [
                                                        "description" => __( 'Code', 'wp-import-export' ),
                                                        "name"        => "fields/coupon/code/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "separator" => [
                                                        "description" => __( 'Multiple coupons names separated by', 'wp-import-export' ),
                                                        "name"        => "fields/coupon/code/separator",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Default : ||', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
