<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Download;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class DownloadFile {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Download File', 'wp-import-export' ),
                        "desc"          => __( 'Download File', 'wp-import-export' ),
                        "order"         => 25,
                        "fields"        => [
                                "product" => [
                                        "order"      => 5,
                                        "label"      => __( 'Download File', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "product"   => [
                                                        "description" => __( 'Download File', 'wp-import-export' ),
                                                        "name"        => "fields/download/file/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "separator" => [
                                                        "description" => __( 'Multiple Download File separated by', 'wp-import-export' ),
                                                        "name"        => "fields/download/file/separator",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Default : ||', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }
}
