<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Product;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class ItemSubtotal {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Product Subtotal', 'wp-import-export' ),
                        "desc"   => __( 'Product Subtotal', 'wp-import-export' ),
                        "order"  => 30,
                        "isRecommended" => true,
                        "fields" => [
                                "item-subtotal" => [
                                        "order"      => 5,
                                        "label"      => __( 'Product Subtotal', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "item-subtotal" => [
                                                        "description" => __( 'Product Subtotal', 'wp-import-export' ),
                                                        "name"        => "fields/product/item-subtotal/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "separator"     => [
                                                        "description" => __( 'Multiple products Subtotal separated by', 'wp-import-export' ),
                                                        "name"        => "fields/product/item-subtotal/separator",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Default : ||', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
