<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines;

use WpieApp\Modules\Import\Controller\Items\Post\Engines\Meta as PostMeta;

defined( 'WPIE__FILE__' ) || exit;


class Meta extends PostMeta {

        
        protected static function getExcludes() {

                $metas = parent::getExcludes();

                return array_merge( $metas, [
                        '_stock_status', '_downloadable', '_virtual', '_regular_price', '_sale_price', '_purchase_note', '_weight', '_length', '_children', '_width', '_height', '_sku',
                        '_sale_price_dates_from', '_sale_price_dates_to', '_price', '_sold_individually', '_manage_stock', '_stock', '_low_stock_amount', '_upsell_ids', '_crosssell_ids', 'downloadable_file_name', '_downloadable_files',
                        '_download_limit', '_download_expiry', '_product_url', '_button_text', '_backorders', '_tax_status', '_tax_class', '_product_image_gallery', '_default_attributes',
                        'total_sales', '_product_attributes', '_product_version', '_variation_description', '_wc_rating_count', '_wc_review_count', '_wc_average_rating', '_global_unique_id'
                        ]
                );
        }
}
