<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\DataAndVisibility;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Visibility {

        
        public static function getBlocks() {

                $visibility = \wc_get_product_visibility_options();

                $visibility[ 'as_specified' ] = __( "As specified", 'wp-import-export' );
                
                return [
                        "title"  => __( 'Catalog Visibility', 'wp-import-export' ),
                        "desc"   => __( 'Catalog Visibility', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "visibility" => [
                                        "order"      => 10,
                                        "label"      => __( 'Catalog Visibility', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "visibility" => [
                                                        "description"   => __( 'Catalog Visibility', 'wp-import-export' ),
                                                        "name"          => "fields/data-and-visibility/visibility/data",
                                                        "type"          => "radio",
                                                        "default"       => "visible",
                                                        "choices"       => $visibility,
                                                        "hints"         => [
                                                                "as_specified" => __( 'Custom Option specified by you', 'wp-import-export' ),
                                                        ],
                                                        "choices-class" => [
                                                                "visible"      => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "visibility-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "description" => __( 'All Above Option are supported', 'wp-import-export' ),
                                                                                                "name"        => "fields/data-and-visibility/visibility/data_as_specified",
                                                                                                "class"       => "",
                                                                                                "order"       => 10,
                                                                                                "type"        => "textarea",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
