<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\General;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class ProductUrl {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Product URL', 'wp-import-export' ),
                        "desc"   => __( 'Product URL', 'wp-import-export' ),
                        "order"  => 60,
                        "fields" => [
                                "product-url" => [
                                        "order"      => 10,
                                        "label"      => __( 'Product URL', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "product-url" => [
                                                        "description" => __( 'Product URL for External/Affiliate product', 'wp-import-export' ),
                                                        "name"        => "fields/general/product-url/data",
                                                        "type"        => "textarea",
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
