<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Other as PostOther;

defined( 'WPIE__FILE__' ) || exit;


class Other extends PostOther implements InterfaceField {

        
        public static function getFields() {

                $fields = parent::getFields();

                if ( isset( $fields[ 'blocks' ] ) && $fields[ 'blocks' ][ 'standard/comment_status' ] ) {
                        unset( $fields[ 'blocks' ][ 'standard/comment_status' ] );
                }

                if ( isset( $fields[ 'blocks' ] ) && $fields[ 'blocks' ][ 'standard/menu_order' ] ) {
                        unset( $fields[ 'blocks' ][ 'standard/menu_order' ] );
                }

                return $fields;
        }

}
