<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review\Fields\Extra\Verified;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Extra as CommentExtra;

defined( 'WPIE__FILE__' ) || exit;


class Extra extends CommentExtra implements InterfaceField {

        
        public static function getFields() {

                $fields = parent::getFields();

                $fields[ 'blocks' ] = isset( $fields[ 'blocks' ] ) ? $fields[ 'blocks' ] : [];

                $fields[ 'blocks' ][ 'extra/verified' ] = Verified::getBlocks();
                
                return $fields;
        }

}
