<?php



namespace WpieApp\Extensions\Import\Wpml\Controller\Items\Term\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Term\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Term\Filters;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Base\Engines\Language;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Base\Engines\Translation as BaseTranslation;

defined( 'WPIE__FILE__' ) || exit;


class Translation extends BaseTranslation {

        
        public static function search( $options = [] ) {

                $lang = isset( $options[ 'lang' ] ) ? Language::search( $options[ 'lang' ] ) : '';

                if ( !Helper::isNonEmptyStr( $lang ) || $lang === Language::getImport() ) {
                        return 0;
                }

                $data = isset( $options[ 'data' ] ) ? $options[ 'data' ] : '';

                $taxonomy = Settings::getTaxonomy();

                return Filters::getTranslation( $lang, $data, $taxonomy );
        }
}
