<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\Social;

defined( 'WPIE__FILE__' ) || exit;


class FacebookImage
{

    
    public static function getBlocks ()
    {

        return [
                "title"    => __( 'Facebook Image' , 'wp-import-export' ) ,
                "desc"     => __( 'Facebook Image' , 'wp-import-export' ) ,
                "order"    => 15 ,
                "fields"   => [
                        "facebook-image" => [
                                "order"      => 5 ,
                                "label"      => __( 'Facebook Image' , 'wp-import-export' ) ,
                                "sub-fields" => [
                                        "facebook-image" => [
                                                "description" => __( "SEO Facebook Image" , 'wp-import-export' ) ,
                                                "name"        => "fields/yoastseo/social/facebook_image/data" ,
                                                "type"        => "textarea" ,
                                                "hint"        => [
                                                        [ 'text' => __( 'Optional' , 'wp-import-export' ) ] ,
                                                        [ 'text' => __( 'Enter Image URL' , 'wp-import-export' ) ] ,
                                                        [ 'text' => __( 'Example: http://www.example.com/facebook.jpg' , 'wp-import-export' ) ] ,
                                                ]
                                        ]
                                ] ,
                        ] ,
                ]
        ];
    }
}
