<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Video;

defined( 'WPIE__FILE__' ) || exit;


class FamilyFriendly {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Mark this video as not family friendly', 'wp-import-export' ),
                        "desc"   => __( 'Mark this video as not family friendly', 'wp-import-export' ),
                        "order"  => 40,
                        "fields" => [
                                "family_friendly" => [
                                        "order"      => 5,
                                        "label"      => __( 'Mark this video as not family friendly', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "family_friendly" => [
                                                        "description" => __( "Mark this video as not family friendly", 'wp-import-export' ),
                                                        "name"        => "fields/yoastseo/video/family_friendly/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( '0, 1, yes, no, true, false, on, off values are supported', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
