<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Schema;

defined( 'WPIE__FILE__' ) || exit;


class Prefix {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Honorific Prefix', 'wp-import-export' ),
                        "desc"     => __( 'Honorific Prefix', 'wp-import-export' ),
                        "order"    => 5,
                        "isActive" => true,
                        "fields"   => [
                                "prefix" => [
                                        "order"      => 5,
                                        "label"      => __( 'Honorific Prefix', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "prefix" => [
                                                        "description" => __( "SEO Honorific Prefix", 'wp-import-export' ),
                                                        "name"        => "fields/yoastseo/schema/prefix/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'E.g. Dr, Ms, Mr', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
