<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Search;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Meta {

        
        public static function search( $key = '', $value = '' ) {

                if ( !Helper::isNonEmptyStr( $key ) || (!Helper::isNonEmptyStr( $value ) && !is_numeric( $value )) ) {
                        return 0;
                }

                return DB::wpdb()->get_var(
                                DB::wpdb()->prepare(
                                        "SELECT `comment_id` FROM " . DB::wpdb()->commentmeta
                                        . " WHERE `meta_key` = %s AND `meta_value` = %s ORDER BY `comment_id` ASC LIMIT 1",
                                        $key,
                                        $value
                                )
                );
        }

}
