<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\Attachment as BaseAttachment;

defined( 'WPIE__FILE__' ) || exit;


class Attachment implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Post/Fields/Attachment', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return BaseAttachment::get();
        }

}
