<?php




namespace WpieApp\Modules\Import\View\FileSettings;

defined( 'WPIE__FILE__' ) || exit;


class Preview {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSettings/Preview',
                        [
                                "title"    => __( 'Preview', 'wp-import-export' ),
                                "desc"     => __( 'Data Preview', 'wp-import-export' ),
                                "order"    => 5,
                                "isActive" => true,
                                "fields"   => [
                                        "preview" => [
                                                "order"      => 5,
                                                "label"      => __( 'File Preview', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "container" => [
                                                                "field-class" => "wpie-preview",
                                                                "type"        => "blank",
                                                                "order"       => 5,
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }

}
