<?php



namespace WpieApp\Modules\Logs\View\Logs;

defined( 'WPIE__FILE__' ) || exit;


class Import {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Logs/View/Import',
                        [
                                "title"  => __( 'Import Logs', 'wp-import-export' ),
                                "order"  => 20,
                                "desc"   => __( 'Manage Import Logs', 'wp-import-export' ),
                                "fields" => [
                                        "export-log" => [
                                                "order"      => 10,
                                                "sub-fields" => [
                                                        "log" => [
                                                                'bg-class' => "bg-white",
                                                                "type"     => "import-log",
                                                                "order"    => 10,
                                                        ],
                                                ],
                                        ],
                                ],
                        ]
                );
        }

}
