<?php




namespace WpieApp\Core\Helpers;

defined( 'WPIE__FILE__' ) || exit;


trait Numbers {

	
	public static function toNumber( $var = 0 ) {

		if ( is_bool( $var ) ) {
			return $var ? 1 : 0;
		}
		if ( is_double( $var ) ) {
			return ( double ) $var;
		}
		if ( is_int( $var ) ) {
			return ( int ) $var;
		}
		if ( is_string( $var ) && preg_replace( '/\D/', "", $var ) !== "" ) {

			$var = preg_replace( "/[^0-9,.]/", "", $var );

			if ( $var === ( string ) ( int ) ( $var ) ) {
				return ( int ) $var;
			} else {
				return ( double ) $var;
			}
		}
		return 0;
	}

	
	public static function toInt( $var ) {

		return ( int ) self::toNumber( $var );
	}

}
