<?php



namespace WpieApp\Extensions\Export\Polylang\Controller;

use WpieApp\Modules\Export\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Languages {

        
        private static $cache = [];

        
        private static $list = [];

        
        public static function get() {

                if ( Helper::isNonEmptyArray( self::$cache ) ) {
                        return self::$cache;
                }

                self::$cache = [];

                foreach ( self::getList() as $lang ) {
                        $slug   = isset( $lang->slug ) ? $lang->slug : "";
                        $name   = isset( $lang->name ) ? $lang->name : "";
                        $locale = isset( $lang->locale ) ? $lang->locale : "";

                        self::$cache[ $slug ] = $name . ' - ' . $locale;
                }

                return self::$cache;
        }

        
        public static function getList() {

                if ( Helper::isNonEmptyArray( self::$list ) ) {
                        return self::$list;
                }

                self::$list = \pll_languages_list( [ 'fields' => '' ] );

                return self::$list;
        }

}
