<?php



namespace WpieApp\Extensions\Export\RankMathSeo\Controller\Items\User;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\RankMathSeo\Controller\Items\User\Fields\Seo;

defined( 'WPIE__FILE__' ) || exit;


class Fields {

        
        public static function get( $fields = [], $contentType = '' ) {

                $fields[ "rankmath-seo" ] = Seo::get();

                return $fields;
        }

        
        public static function excludeMetaQuery( $metas = [], $contentType = '' ) {

                $where = [ " AND `usermeta`.`meta_key` NOT LIKE '%rank_math%' " ];

                
                $where = \apply_filters( 'Wpie/Export/User/Fields/Meta/Query/Where/RankMathSeo', $where );

                return array_merge( $metas, $where );
        }

        
        public static function getExcludesMeta( $excludes = [], $type = "" ) {

                $meta = [ 'facebook', 'twitter', 'additional_profile_urls' ];

                
                return array_merge( $excludes, $meta );
        }

}
