<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\Fields\Meta as OrderProductMeta;

defined( 'WPIE__FILE__' ) || exit;


class ProductMeta implements InterfaceField {

        
        const FIELD_TYPE = "product-meta";

        
        public static function get() {

                $fields = [
                        "title"      => esc_html__( "Product Meta", 'wp-import-export' ),
                        "priority"   => 60,
                        'isExported' => false,
                        "data"       => OrderProductMeta::getFields( 'product' )
                ];

                
                return \apply_filters( 'Wpie/Export/Order/Fields/Product/Meta', $fields );
        }

}
