<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Query;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Stats {
        
          
        private static $alias = '';

        
        public static function getTableAlias() {

                if ( !Helper::isNonEmptyStr( self::$alias ) ) {
                        self::$alias = Helper::randStr( 'stats' );
                }

                return self::$alias;
        }

        
        public static function getTable() {

                return DB::table( 'wc_order_stats' );
        }

        
        public static function getJoin() {

                return "INNER JOIN " . self::getTable() . " AS " . self::getTableAlias() . " ON (" . Order::getTableAlias() . ".`id` = " . self::getTableAlias() . ".`order_id`)";
        }

}
