<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Layout extends Base {

        
        protected static $fieldTypes = [ 'accordion', 'clone', 'acfe_column', 'acfe_dynamic_render', 'flexible_content', 'group', 'message', 'acfe_post_field', 'repeater', 'tab', 'table' ];

        
        public static function getData() {

                switch ( static::$fieldType ) {

                        case 'clone':
                        case 'flexible_content':
                        case 'group':
                        case 'repeater':
                        case 'table':
                                $tempData     = Helper::jsonDecode( static::$data, true );
                                static::$data = is_array( $tempData ) ? $tempData : '';

                                break;
                }

                return parent::getData();
        }
}
