<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Redirect;

defined( 'WPIE__FILE__' ) || exit;


class Redirection {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Redirect', 'wp-import-export' ),
                        "desc"     => __( 'SEO Redirect', 'wp-import-export' ),
                        "order"    => 5,
                        "isActive" => true,
                        "fields"   => [
                                "redirection" => [
                                        "order"      => 5,
                                        "label"      => __( 'Redirect', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "redirection" => [
                                                        "description" => __( "SEO Redirect", 'wp-import-export' ),
                                                        "name"        => "fields/allinoneseo/redirect/redirection/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Due to the complexity of data, only exported data supported from the same plugin', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
