<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter;

defined( 'WPIE__FILE__' ) || exit;


class CardType {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Card Type', 'wp-import-export' ),
                        "desc"   => __( 'Twitter Card Type', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "card_type" => [
                                        "order"      => 5,
                                        "label"      => __( 'Twitter Card Type', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "card_type" => [
                                                        "description"   => __( "SEO Twitter Card Type", 'wp-import-export' ),
                                                        "name"          => "fields/rankmathseo/twitter/card_type/data",
                                                        "type"          => "radio",
                                                        "default"       => "as_specified",
                                                        "choices"       => [
                                                                "summary_large_image" => __( "Summary Card with Large Image", 'wp-import-export' ),
                                                                "summary_card"        => __( "Summary Card", 'wp-import-export' ),
                                                                "app"                 => __( "App Card", 'wp-import-export' ),
                                                                "player"              => __( "Player Card", 'wp-import-export' ),
                                                                "as_specified"        => __( "As specified", 'wp-import-export' )
                                                        ],
                                                        "choices-class" => [
                                                                "summary_large_image" => "bse-form-check-success",
                                                                "as_specified"        => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "card_type-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "card_type" => [
                                                                                                "name"  => "fields/rankmathseo/twitter/card_type/data_as_specified",
                                                                                                "order" => 5,
                                                                                                "type"  => "textarea",
                                                                                                "hint"  => [
                                                                                                        [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'Default : summary_large_image', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'summary_large_image, summary_card, app, player all values are supported', 'wp-import-export' ) ],
                                                                                                ],
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
