<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Post\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\General as BaseGeneral;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Post\Fields\General\PillarContent;

defined( 'WPIE__FILE__' ) || exit;


class General extends BaseGeneral implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Post/Fields/RankMathSeo/General', parent::get(), Settings::getContentType() );
        }

        
        protected static function getFields() {
                return \array_merge(
                        parent::getFields(),
                        [
                                "rankmathseo/general/pillar_content" => PillarContent::getBlocks(),
                        ]
                );
        }
}
