<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Engines\General as Base;

defined( 'WPIE__FILE__' ) || exit;


class Profile {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( 'rankmathseo/profile/twitter' ) ) {
                        $data[ "twitter" ] = DataCenter::get( "rankmathseo/profile/twitter/data" );
                }
                if ( DataCenter::canUpdate( 'rankmathseo/profile/facebook' ) ) {
                        $data[ "facebook" ] = DataCenter::get( "rankmathseo/profile/facebook/data" );
                }
                if ( DataCenter::canUpdate( 'rankmathseo/profile/additional_profile_urls' ) ) {
                        $data[ "additional_profile_urls" ] = DataCenter::get( "rankmathseo/profile/additional_profile_urls/data" );
                }

                return $data;
        }
}
