<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category\Fields\Standard;

defined( 'WPIE__FILE__' ) || exit;


class DisplayType {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Display Type', 'wp-import-export' ),
                        "desc"   => __( 'Display Type', 'wp-import-export' ),
                        "order"  => 40,
                        "fields" => [
                                "display-type" => [
                                        "order"      => 10,
                                        "label"      => __( 'Display Type', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "display-type" => [
                                                        "description" => __( "Category archive display type", 'wp-import-export' ),
                                                        "name"        => "fields/standard/display-type/data",
                                                        "type"        => "textarea",
                                                        "hint"        => __( 'Leave empty for auto', 'wp-import-export' ),
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
