<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Engines;

use WpieApp\Modules\Import\Controller\Items\Post\Engines\Meta as PostMeta;

defined( 'WPIE__FILE__' ) || exit;


class Meta extends PostMeta {

        
        protected static function getExcludes() {

                $parentMeta = parent::getExcludes();

                return array_merge( $parentMeta, [
                        'discount_type', 'coupon_amount', 'free_shipping', 'date_expires',
                        'usage_limit', 'limit_usage_to_x_items', 'usage_limit_per_user',
                        'minimum_amount', 'maximum_amount', 'individual_use', 'exclude_sale_items',
                        'product_ids', 'exclude_product_ids', 'product_categories',
                        'exclude_product_categories', 'customer_email', '_used_by', 'usage_count'
                        ] );
        }

}
