<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields;

use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\Usage\UsedBy;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\Usage\UsageCount;

defined( 'WPIE__FILE__' ) || exit;


class Usage implements InterfaceField {

        
        public static function get() {

                return [
                        "label"  => __( 'Usage', 'wp-import-export' ),
                        "class"  => "wpie-usage-fields",
                        "order"  => 15,
                        "blocks" => [
                                "usage/used_by"     => UsedBy::getBlocks(),
                                "usage/usage_count" => UsageCount::getBlocks(),
                        ]
                ];
        }

}
