<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\Usage;

defined( 'WPIE__FILE__' ) || exit;


class UsageCount {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Usage Count', 'wp-import-export' ),
                        "desc"   => __( 'Usage Count', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "usage_count" => [
                                        "order"      => 10,
                                        "label"      => __( 'Usage Count', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "usage_count" => [
                                                        "description" => __( "Set how many times this coupon has been used.", 'wp-import-export' ),
                                                        "name"        => "fields/usage/usage_count/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Leave empty for auto counting', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Positive numbers only', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
