<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer;

use WpieApp\Modules\Import\Controller\Items\User\Engine as UserEngine;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Engines\Meta;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Engines\Billing;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Engines\Shipping;

defined( 'WPIE__FILE__' ) || exit;


class Engine extends UserEngine {

        
        protected static function updateUser() {

                parent::updateUser();

                Billing::import();

                Shipping::import();
        }

        
        protected static function updateMeta() {
                Meta::import();
        }

}
