<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Comment\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class ReviewMeta {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( 'standard/rating' ) ) {
                        $data[ "rating" ] = Helper::toInt( DataCenter::get( "standard/rating/data" ) );
                }
                if ( DataCenter::canUpdate( 'extra/verified' ) ) {
                        $data[ "verified" ] = Helper::detectBoolVal( DataCenter::get( "extra/verified/data" ) ) === false ? 0 : 1;
                }

                return Helper::isNonEmptyArray( $data ) ? [ 'comment_meta' => $data ] : [];
        }

}
