<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\Social;

defined( 'WPIE__FILE__' ) || exit;


class FacebookTitle {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Facebook Title', 'wp-import-export' ),
                        "desc"     => __( 'Facebook Title', 'wp-import-export' ),
                        "order"    => 5,
                        "isActive" => true,
                        "fields"   => [
                                "facebook-title" => [
                                        "order"      => 5,
                                        "label"      => __( 'Facebook Title', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "facebook-title" => [
                                                        "description" => __( "SEO Facebook Title", 'wp-import-export' ),
                                                        "name"        => "fields/yoastseo/social/facebook_title/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
