<?php



namespace WpieApp\Modules\Debug\View\Logs\SystemInfo;

use WpieApp\Core\Utils\DB;

defined( 'WPIE__FILE__' ) || exit;


class PostTypeCount {

        
        public static function get() {

                $data = DB::wpdb()->get_results( "SELECT `post_type` AS 'label', count(1) AS 'data' FROM " . DB::wpdb()->posts . " GROUP BY post_type;", ARRAY_A );

                return [
                        "label" => __( 'Post Type Count', 'wp-import-export' ),
                        "order" => 50,
                        "data"  => $data
                ];
        }

}
