<?php



namespace WpieApp\Modules\Export\Controller\Items\Comment\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Comment\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Standard {

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return "";
                }

                if ( 'user_email' === $element ) {
                        $data = self::getUserEmail();
                } else {
                        $data = isset( DataCenter::getItem()->$element ) ? DataCenter::getItem()->$element : "";
                }
                
                return \apply_filters( 'Wpie/Export/Comment/Standard/Data', $data, Settings::getContentType() );
        }

        
        public static function getUserEmail() {

                $id = DataCenter::getItem()->user_id;

                $user = (absint( $id ) > 0) ? \get_user_by( 'id', $id ) : false;

                if ( false === $user ) {
                        return "";
                }

                return isset( $user->user_email ) ? $user->user_email : '';
        }

}
