<?php



namespace WpieApp\Modules\Export\View\Setup;

defined('WPIE__FILE__') || exit;


class Fields {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Export/View/Setup/Fields',
                        [
                                "title" => __('Fields', 'wp-import-export'),
                                "desc" => __('Add, Remove Fields', 'wp-import-export'),
                                "order" => 30,
                                "fields" => [
                                        "load-settings" => [
                                                "order" => 10,
                                                "label" => __('Manage Export File Fields', 'wp-import-export'),
                                                "sub-fields" => [
                                                        "field-container" => [
                                                                "type" => "export-field",
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }

}
