<?php



namespace WpieApp\Modules\Export\View\Setup;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function get() {

                
                return \apply_filters(
                        'Wpie/Modules/Export/View/Setup',
                        [
                                "class"  => "wpie-filters-and-options d-none",
                                "order"  => 20,
                                "blocks" => [
                                        "settings"    => Settings::getBlocks(),
                                        "filter"      => Filter::getBlocks(),
                                        "fields"      => Fields::getBlocks(),
                                        "schedule"    => Schedule::getBlocks(),
                                        "fileoptions" => FileOptions::getBlocks(),
                                ]
                        ]
                );
        }

}
