<?php



namespace WpieApp\Modules\Import\Controller\File;

use WpieApp\Modules\Import\Controller\File\Filters\Csv;
use WpieApp\Modules\Import\Controller\File\Filters\Xml;
use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Filter {

	
	public static function init() {

		if ( Settings::getOption( "file/format" ) === "csv" ) {
			$csv = new Csv();
			return $csv->init();
		}

		$xml = new Xml();
		return $xml->init();
	}

}
