<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Fields\Extra;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Agent {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"  => __( 'Agent', 'wp-import-export' ),
                        "desc"   => __( 'Agent', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "agent" => [
                                        "order"      => 10,
                                        "label"      => __( 'Agent', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "agent" => [
                                                         /* translators: 1: content type */
                                                        "description" => sprintf( __( 'The HTTP user agent of the %1$s author when the %1$s was submitted.', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/extra/agent/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
