<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Comment\Search\Meta;

defined( 'WPIE__FILE__' ) || exit;


class Search {

        
        public static function getCommentIdByMeta( $key = '', $val = '' ) {
                return Meta::Search( $key, $val );
        }

        
        public static function getCommentById( $field = '' ) {

                if ( !Helper::isNonEmptyStr( $field ) ) {
                        return 0;
                }

                $comment = \get_comment( $field );

                return (is_object( $comment ) && isset( $comment->comment_ID ) ? $comment->comment_ID : 0);
        }

}
