<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Fields\Standard;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Excerpt {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"  => __( 'Excerpt', 'wp-import-export' ),
                        /* translators: %s: content type */
                        "desc"   => sprintf( __( '%s excerpt', 'wp-import-export' ), $contentType ),
                        "order"  => 15,
                        "fields" => [
                                "item-excerpt" => [
                                        "order"      => 10,
                                        "label"      => __( 'Excerpt', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "excerpt" => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( '%s excerpt', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/standard/excerpt/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'optional', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
