<?php



namespace WpieApp\Modules\Import\Controller\Items\User\Fields\Other;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Registered {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"    => __( 'Registered Date', 'wp-import-export' ),
                        "desc"     => __( 'Registered Date', 'wp-import-export' ),
                        "order"    => 10,
                        "isActive" => true,
                        "fields"   => [
                                "item-registered" => [
                                        "order"      => 10,
                                        "label"      => __( 'Registered Date', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "registered" => [
                                                        "name" => "fields/other/registered/data",
                                                        "type" => "textarea",
                                                        "hint" => [
                                                                [ 'text' => __( 'Recommended', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default : Current server date', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'All date formats are supported.', 'wp-import-export' ) ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
