<?php



namespace WpieApp\Modules\Schedules\View\Schedules;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function get() {

                
                return \apply_filters(
                        'Wpie/Modules/Schedules/View/Schedules',
                        [
                                "class"  => "wpie-schedules-wrapper",
                                "order"  => 15,
                                "blocks" => [
                                        "status"   => Status::getBlocks(),
                                        "setup"    => Setup::getBlocks(),
                                        "settings" => Settings::getBlocks(),
                                        "export"   => Export::getBlocks(),
                                        "import"   => Import::getBlocks(),
                                ]
                        ]
                );
        }

}
