<?php



namespace WpieApp\Modules\Security\View\Security;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function get() {

                
                return \apply_filters(
                        'Wpie/Modules/Logs/View/ManageLogs',
                        [
                                "class"      => "wpie-manage-logs-wrapper",
                                "groupClass" => "wpie-manage-logs",
                                "order"      => 15,
                                "blocks"     => [
                                        "user-access"      => UserAccess::getBlocks(),
                                        "user-role-access" => UserRoleAccess::getBlocks(),
                                        "robottxt"         => RobotTxt::getBlocks(),
                                        "htaccess"         => Htaccess::getBlocks(),
                                ]
                        ]
                );
        }

}
